Package org.optaplanner.benchmark.config.statistic

## Enum SingleStatisticType

- java.lang.Object
- - java.lang.Enum<SingleStatisticType>
  - - org.optaplanner.benchmark.config.statistic.SingleStatisticType

- All Implemented Interfaces:
    `Serializable`, `Comparable<SingleStatisticType>`, `StatisticType`

      public enum SingleStatisticType
      extends Enum<SingleStatisticType>
      implements StatisticType

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONSTRAINT_MATCH_TOTAL_BEST_SCORE` |
    `CONSTRAINT_MATCH_TOTAL_STEP_SCORE` |
    `PICKED_MOVE_TYPE_BEST_SCORE_DIFF` |
    `PICKED_MOVE_TYPE_STEP_SCORE_DIFF` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PureSubSingleStatistic` | `buildPureSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)` |
    `String` | `getAnchorId()` |
    `String` | `getLabel()` |
    `boolean` | `hasScoreLevels()` |
    `static SingleStatisticType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SingleStatisticType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.benchmark.impl.statistic.StatisticType

      `name`

- - ### Enum Constant Detail

    - #### CONSTRAINT_MATCH_TOTAL_BEST_SCORE

          public static final SingleStatisticType CONSTRAINT_MATCH_TOTAL_BEST_SCORE

    - #### CONSTRAINT_MATCH_TOTAL_STEP_SCORE

          public static final SingleStatisticType CONSTRAINT_MATCH_TOTAL_STEP_SCORE

    - #### PICKED_MOVE_TYPE_BEST_SCORE_DIFF

          public static final SingleStatisticType PICKED_MOVE_TYPE_BEST_SCORE_DIFF

    - #### PICKED_MOVE_TYPE_STEP_SCORE_DIFF

          public static final SingleStatisticType PICKED_MOVE_TYPE_STEP_SCORE_DIFF

  - ### Method Detail

    - #### values

          public static SingleStatisticType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SingleStatisticType c : SingleStatisticType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SingleStatisticType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

      Specified by:
        `getLabel` in interface `StatisticType`
      Returns:
        never null

    - #### buildPureSubSingleStatistic

          public PureSubSingleStatistic buildPureSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)

    - #### getAnchorId

          public String getAnchorId()

    - #### hasScoreLevels

          public boolean hasScoreLevels()